Package org.tmatesoft.svn.core.wc2

# Class SvnUnlock

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnOperation<T>
org.tmatesoft.svn.core.wc2.SvnReceivingOperation<SVNLock>
org.tmatesoft.svn.core.wc2.SvnUnlock

All Implemented Interfaces:
  `ISvnObjectReceiver<SVNLock>`, `ISvnOperationOptionsProvider`

public class SvnUnlock extends SvnReceivingOperation<SVNLock>
Represents operation for unlocking files. Unlocks file items in a working copy as well as in a repository.

`SvnOperation.run()` method returns `SVNLock` object that represents information of lock. `SvnOperation.run()` method @throws `SVNException` if one of the following is true:

- a `target`'s path is not under version control
- can not obtain a URL of a local `target`'s path to unlock it in the repository - there's no such entry
- if a path is not locked in the working copy and `breakLock` is `false`
- `targets` to be unlocked belong to different repositories

Version:
  1.7
Author:
  TMate Software Ltd.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SvnUnlock(SvnOperationFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`getMaximumTargetsCount()`
`boolean`
`isBreakLock()`
Gets whether or not the locks belonging to different users should be also unlocked ("broken")
`boolean`
`isChangesWorkingCopy()`
Gets whether the operation changes working copy
`void`
`setBreakLock(boolean breakLock)`
Sets whether or not the locks belonging to different users should be also unlocked ("broken")

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnReceivingOperation

`first, getReceiver, initDefaults, last, receive, run, setReceiver`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SvnUnlock

protected SvnUnlock(SvnOperationFactory factory)

## Method Details

### isBreakLock

public boolean isBreakLock()
Gets whether or not the locks belonging to different users should be also unlocked ("broken")

Returns:
  `true` if other users locks should be "broken", otherwise `false`

### setBreakLock

public void setBreakLock(boolean breakLock)
Sets whether or not the locks belonging to different users should be also unlocked ("broken")

Parameters:
  `breakLock` - `true` if other users locks should be "broken", otherwise `false`

### getMaximumTargetsCount

protected int getMaximumTargetsCount()

Overrides:
  `getMaximumTargetsCount` in class `SvnOperation<SVNLock>`

### isChangesWorkingCopy

public boolean isChangesWorkingCopy()
Gets whether the operation changes working copy

Overrides:
  `isChangesWorkingCopy` in class `SvnOperation<SVNLock>`
Returns:
  `true` if the operation changes the working copy, otherwise `false`